<?php
@include 'content/setting/close_site.php';
@include 'content/setting/site.php';
@include 'content/setting/contact.php';
@include 'content/setting/index_type.php';
@include 'content/setting/show_type.php';
@include 'content/setting/tongji.php';
@include 'content/setting/yitongji.php';
@include 'content/setting/site_links.php';
@include 'dn2img.php';
$all_domain_type=array('all','shuangpin','sanpin','yingwen','duan','shuzi','chuangyi','duopin','qita');
if($close_site == 1){echo '<html><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>网站维护中...</title><body><table align="center" style="padding-top:50px;"><tr><td><img src="content/img/closed.jpg" alt="网站维护中" width="361" height="335" align="middle" /></td></tr></table></body></html>';}
else{
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="keywords" content="<?php echo base64_decode($site_keywords); ?>" />
<meta name="description" content="<?php echo base64_decode($site_description); ?>" />
<link href="content/theme/main.css" rel="stylesheet" />
<link rel="shortcut icon" href="content/img/favicon.ico" />
<title><?php echo base64_decode($site_title).$title_copyright; ?></title>
</head>
<script type="text/javascript">
<!--
function rebackColor(obj){
	obj.style.backgroundColor='white';
}
function changeColor(obj){
	obj.style.backgroundColor='#cecece';
}

var $ = function(o){return document.getElementById(o);}
window.onload = function(){
window.onscroll = function(){
var scrollTop = document.documentElement.scrollTop;
if(scrollTop){
$("go-top").style.display = 'block';
$("go-top").style.top = (scrollTop + document.documentElement.clientHeight - 90) + "px";
}else{
$("go-top").style.display = 'none';}
}
}
//-->
</script>
<body>
<table style="width:990px;margin:0 auto;font-size:14px;" border="0" align="center">
<tr>
<td width="102"><img src="content/img/domains_4_sale.gif" border="0"></td>
<td width="20"><img src="content/img/contact.gif" border="0"></td>
<td width="320">
<table border="0" cellspacing="0" cellpadding="0">
  
<?php
if(trim($admin_name)!='') {echo '<tr><td>姓名：</td><td>'.$admin_name.'</td></tr>';} 
if(trim($admin_mail)!='') {echo '<tr><td>邮箱：</td><td><img src="./class/text2image.class.php'.imgParams($admin_mail, 12, 'arial','000000').'" /></td>';}
if(trim($admin_mobi)!='') {echo '<tr><td>手机：</td><td>'.$admin_mobi.'</td></tr>';}
if(trim($admin_qq)!='') {echo '<tr><td>Q Q ：</td><td>'.$admin_qq.'</td></tr>';} 
if(trim($admin_msn)!='') {echo '<tr><td>MSN ：</td><td><img src="./class/text2image.class.php'.imgParams($admin_msn, 12, 'arial','000000').'" /></td></tr>';} 
?>
 

</table></td>
<td width="450"><a href="youhuima/" target="_blank"><img src="content/img/top_banner.gif" border="0" /></a></td>
<td width="98">
<form class="form" method="POST" action="admin.php">
<table border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td>用户名：</td>
    <td><input type="text"name="user" autocomplete="off" style="width:60px;"/></td>
  </tr>
  <tr>
    <td>密&nbsp;&nbsp;码：</td>
    <td><input type="password"  name="pass"  style="width:60px;"/></td>
  </tr>
  <tr>
    <td colspan="2" align="center"><input type="hidden" name="action" value="login"><input type="submit" name="enter" value=" 登录后台 " /></td>
  </tr>
</table>
</form>
</td>
</tr>
</table>
<div style="width:990px;margin:0 auto;font-size:12px;line-height:18px;">
  <div class="skin-black">
    <div class="inner">
      <ul>
    <li> <a href="?type=all"><span style="CURSOR: pointer;" id="all">全部域名</span></a> </li>
    <li> <a href="?type=shuangpin"><span style="CURSOR: pointer;" id="shuangpin">双拼域名</span></a> </li>
    <li> <a href="?type=sanpin"><span style="CURSOR: pointer;" id="sanpin">三拼域名</span></a> </li>
    <li> <a href="?type=yingwen"><span style="CURSOR: pointer;" id="yingwen">英文域名</span></a> </li>
    <li> <a href="?type=duan"><span style="CURSOR: pointer;" id="duan">短域名</span></a> </li>
    <li> <a href="?type=shuzi"><span style="CURSOR: pointer;" id="shuzi">数字域名</span></a> </li>
    <li> <a href="?type=chuangyi"><span style="CURSOR: pointer;" id="chuangyi">创意域名</span></a> </li>
    <li> <a href="?type=duopin"><span style="CURSOR: pointer;" id="duopin">多拼域名</span></a> </li>
    <li class="last"><a href="?type=qita"><span style="CURSOR: pointer;" id="qita" >其他域名</span></a> </li>
      </ul>
    </div>
  </div>
</div>

<script type="text/javascript">
document.getElementById('<?php if(isset($_REQUEST['type']) && in_array($_REQUEST['type'],$all_domain_type)){echo $_REQUEST['type'];}else{echo $index_type; } ?>').className = "now_channel";
function dn(domain,color,font,registrar,start,end,meaning,price,buy_link){
			var style;
	switch (font)
	{
   case 'arial':
     style="font-family:Arial, Helvetica, sans-serif;";
     break
   case 'times':
     style="font-family:'Times New Roman', Times, serif;";
     break
   case 'ariali':
     style="font-family:Arial, Helvetica, sans-serif;font-style:italic;";
     break
   case 'timesi': 
     style="font-family:'Times New Roman', Times, serif;font-style:italic;";
	 break
   case 'arialbd': 
     style="font-family:Arial, Helvetica, sans-serif;font-weight:bold;";
	 break
   case 'timesbd': 
     style="font-family:'Times New Roman', Times, serif;font-weight:bold;";
	 break
   case 'arialbi': 
     style="font-family:Arial, Helvetica, sans-serif;font-weight:bold;font-style:italic;";
	 break
   case 'timesbi': 
     style="font-family:'Times New Roman', Times, serif;font-weight:bold;font-style:italic;";
	 break
   default:
    style="font-family:Arial, Helvetica, sans-serif;";
    }

	document.write('<tr onmouseover="changeColor(this);" onmouseout="rebackColor(this);"  style="border: 1px solid #CCCCCC; color:#'+color+';'+style+'"><td style="padding-left: 4px;" height="30"><a href="http://www.51facai.com/whois/?domain='+domain+'" target="_blank">'+domain+'</a></td><td align="center">'+registrar+'</td><td align="center">'+start+'<span style="color:#FF0000"> 》 </span>'+end+'</td><td align="center">'+meaning+'</td><td align="center"><a href="'+buy_link+'" target="_brank">'+price+'</a></td></tr>');
	}
function idn(hex,domain_img_link,registrar,start,end,meaning,price,buy_link,color,font){
			var style;
	switch (font)
	{
   case 'arial':
     style="font-family:Arial, Helvetica, sans-serif;";
     break
   case 'times':
     style="font-family:'Times New Roman', Times, serif;";
     break
   case 'ariali':
     style="font-family:Arial, Helvetica, sans-serif;font-style:italic;";
     break
   case 'timesi': 
     style="font-family:'Times New Roman', Times, serif;font-style:italic;";
	 break
   case 'arialbd': 
     style="font-family:Arial, Helvetica, sans-serif;font-weight:bold;";
	 break
   case 'timesbd': 
     style="font-family:'Times New Roman', Times, serif;font-weight:bold;";
	 break
   case 'arialbi': 
     style="font-family:Arial, Helvetica, sans-serif;font-weight:bold;font-style:italic;";
	 break
   case 'timesbi': 
     style="font-family:'Times New Roman', Times, serif;font-weight:bold;font-style:italic;";
	 break
   default:
    style="font-family:Arial, Helvetica, sans-serif;";
    }
	document.write('<tr onmouseover="changeColor(this);" onmouseout="rebackColor(this);"  style="border: 1px solid #CCCCCC;color:#'+color+';'+style+'"><td style="padding-left: 4px;" height="30"><a href="http://www.51facai.com/whois/?sd='+hex+'" target="_blank"><img src="./class/text2image.class.php'+domain_img_link+'" /></a></td><td align="center">'+registrar+'</td><td align="center">'+start+'<span style="color:#FF0000"> 》 </span>'+end+'</td><td align="center">'+meaning+'</td><td align="center"><a href="'+buy_link+'" target="_brank">'+price+'</a></td></tr>');
	}
</script>
<table width="990" border="1" align="center" cellpadding="0" cellspacing="0" bordercolor="#eaeaea" style="border-collapse: collapse; font-size: 12px; font-family: Verdana,Geneva,sans-serif; color: #2A2A2A;"><tbody>
<tr style="font-weight: 700; color: #FFFFFF; border: 1px solid #333333;" bgcolor="#333333">
<td style="padding-left: 16px;" height="32" valign="middle" width="220px" >域名/Domain</td>
<td align="center" valign="middle" width="140px">注册商</td>
<td align="center" valign="middle" width="185px">注册及过期时间</td>
<td align="center" valign="middle" width="320">含义及简要说明</td>
<td align="center" valign="middle" width="125px">价格及购买通道</td></tr>
<?
function fontFamily($font){
		switch ($font)
	{
   case 'arial':
     $font_family="font-family:Arial, Helvetica, sans-serif;";
     break;
   case 'times':
     $font_family="font-family:'Times New Roman', Times, serif;";
     break;
   case 'ariali':
     $font_family="font-family:Arial, Helvetica, sans-serif;font-style:italic;";
     break;
   case 'timesi': 
     $font_family="font-family:'Times New Roman', Times, serif;font-style:italic;";
	 break;
   case 'arialbd': 
     $font_family="font-family:Arial, Helvetica, sans-serif;font-weight:bold;";
	 break;
   case 'timesbd': 
     $font_family="font-family:'Times New Roman', Times, serif;font-weight:bold;";
	 break;
   case 'arialbi': 
     $font_family="font-family:Arial, Helvetica, sans-serif;font-weight:bold;font-style:italic;";
	 break;
   case 'timesbi': 
     $font_family="font-family:'Times New Roman', Times, serif;font-weight:bold;font-style:italic;";
	 break;
   default:
    $font_family="font-family:Arial, Helvetica, sans-serif;";
    }
return $font_family;
	}

function domainInfo($domain){
	global $domain_show_type;
	include 'content/data/domains/'.substr(md5($domain),8,16).'.php';
	$a='';
	if($list_domain_type != 'simi' && $list_domain_type!= 'daiqiangzhu'){
switch($domain_show_type){
	case '0':
	$a= '<tr onmouseover="changeColor(this);" onmouseout="rebackColor(this);"  style="border: 1px solid #CCCCCC;color:#'.$list_domain_color.';'.fontFamily($list_domain_font).'"><td style="padding-left: 2px;" height="30"><a href="http://www.51facai.com/whois/?domain='.$list_domain.'" target="_blank" >'.$list_domain.'</a></td><td align="center">'.$list_domain_reg.'</td><td align="center">'.$list_domain_reg_year.'-'.$list_domain_reg_mon.'-'.$list_domain_reg_day.'<span style="color:#FF0000"> 》 </span>'.$list_domain_expire_year.'-'.$list_domain_expire_mon.'-'.$list_domain_expire_day.'</td><td align="center">'.base64_decode($list_domain_meanning).'</td><td align="center"><a href="'.$list_domain_link.'" target="_brank">'.$list_domain_price.'</a></td></tr>';
	break;
	case '1':
	$a= 'dn("'.$list_domain.'","'.$list_domain_color.'","'.$list_domain_font.'","'.$list_domain_reg.'","'.$list_domain_reg_year.'-'.$list_domain_reg_mon.'-'.$list_domain_reg_day.'","'.$list_domain_expire_year.'-'.$list_domain_expire_mon.'-'.$list_domain_expire_day.'","'.base64_decode($list_domain_meanning).'","'.$list_domain_price.'","'.$list_domain_link.'");';
	break;
	case '2':
	$a=  'idn("'.Str2Hex($list_domain).'","'.imgParams($list_domain,12, $list_domain_font,$list_domain_color).'","'.$list_domain_reg.'","'.$list_domain_reg_year.'-'.$list_domain_reg_mon.'-'.$list_domain_reg_day.'","'.$list_domain_expire_year.'-'.$list_domain_expire_mon.'-'.$list_domain_expire_day.'","'.base64_decode($list_domain_meanning).'","'.$list_domain_price.'","'.$list_domain_link.'","'.$list_domain_color.'","'.$list_domain_font.'");';
	break;
	default:
	$a=  'dn("'.$list_domain.'","'.$list_domain_color.'","'.$list_domain_font.'","'.$list_domain_reg.'","'.$list_domain_reg_year.'-'.$list_domain_reg_mon.'-'.$list_domain_reg_day.'","'.$list_domain_expire_year.'-'.$list_domain_expire_mon.'-'.$list_domain_expire_day.'","'.base64_decode($list_domain_meanning).'","'.$list_domain_price.'","'.$list_domain_link.'");';
	break;
	}
	}
return $a;
}

echo '<script>';
$eachPageNum=50;

if(isset($_REQUEST['type']) && in_array($_REQUEST['type'],$all_domain_type)){
$domain_contents=file_get_contents('content/data/'.$_REQUEST['type'].'.php');}
else {$domain_contents=file_get_contents('content/data/all.php');}

$tr_contents=trim(str_replace('<?php die(); ?>','',$domain_contents),'%%');
if($tr_contents != ''){
$each_tr_domain=explode('%%',$tr_contents);
$tr_count_num = count($each_tr_domain);
$real_tr_count_num = 0;
for($i=0;$i<$tr_count_num;$i++){
	$each_tr_info[$i]=domainInfo($each_tr_domain[$i]);
	if($each_tr_info[$i] !=''){
		$real_each_tr_info[$real_tr_count_num]=domainInfo($each_tr_domain[$i]);
		$real_tr_count_num ++;
		}
	}
if($real_tr_count_num < $eachPageNum)
{for($i=0;$i<$real_tr_count_num;$i++){
	$all_domain_tr_content .=$real_each_tr_info[$i];
	}
	echo $all_domain_tr_content.'</script></tbody></table><p style="text-align:center; font-size:12px;width:990px;margin: 0 auto;background:#f4f4f4;border:#e4e4e4 1px solid;">共 '.$real_tr_count_num.' 个域名</p>';}
else{

$pageNum=ceil($real_tr_count_num/$eachPageNum);
if(empty($_GET['page'])) {$nowPageNum=1;}
else {
$nowPageNum=$_GET['page'];
if($nowPageNum<1){$nowPageNum=1;}
if($nowPageNum>=$pageNum) {$nowPageNum=$pageNum;}
}
if($nowPageNum != $pageNum){
	for ($fn=$eachPageNum*($nowPageNum-1); $fn<$eachPageNum*$nowPageNum;$fn++) {
    echo $real_each_tr_info[$fn];
	}
}
else{
	for ($fn=$eachPageNum*($pageNum-1); $fn<$real_tr_count_num;$fn++) {
    echo $real_each_tr_info[$fn];
	}
	}
echo '</script></tbody></table>';
echo '<p style="text-align:center; font-size:12px;width:990px;margin: 0 auto;background:#f4f4f4;border:#e4e4e4 1px solid;">共 '.$real_tr_count_num.' 个域名，每页 '.$eachPageNum.' 个，共 '.$pageNum.' 页，当前页码：[<span style="color:#FF0000">'.$nowPageNum.'</span>]</p>';
echo '<p style="text-align:center; font-size:12px;width:990px;margin: 0 auto;background:#f4f4f4;border:#e4e4e4 1px solid;"><a href="?type='.$_REQUEST['type'].'&page=1">首页</a> ';
if($nowPageNum<=1){echo '<a href="?type='.$_REQUEST['type'].'&page=1">上一页</a> ';}else if($nowPageNum>=2){echo '<a href="?type='.$_REQUEST['type'].'&page='.($nowPageNum-1).'">上一页</a> ';}
if($pageNum<=18){$i=1;$pn=$pageNum;}
else{
	if($nowPageNum-6<=0){$i=1;$pn=12;}
	else if($nowPageNum+6>=$pageNum){$i=$pageNum-6;$pn=$pageNum;}
	else{$i=$nowPageNum-6;$pn=$nowPageNum+6;}
	} 

for ($i;$i<=$pn;$i++){echo '<a href="?type='.$_REQUEST['type'].'&page='.$i.'">'.$i.'</a> ';}
if($pageNum-$nowPageNum>=1){echo '<a href="?type='.$_REQUEST['type'].'&page='.($nowPageNum+1).'">下一页</a> <a href="?type='.$_REQUEST['type'].'&page='.$pageNum.'">末页</a>';}else{echo '<a href="?type='.$_REQUEST['type'].'&page='.$pageNum.'">下一页</a> <a href="?type='.$_REQUEST['type'].'&page='.$pageNum.'">末页</a>'; }

echo '</p>';
}
}
else { echo '</script></tbody></table><p style="text-align:center; font-size:18px;width:990px;margin: 0 auto;background:#f4f4f4;border:#e4e4e4 1px solid;color:#F00;"><br /><br /><br />当前分类下暂无域名<br /><br /><br /></p>';}
?>
</tbody></table>
<!-- CSS样式代码开始 -->
<style>
.counter {font-size:12px; text-align:center;}
.counter span{padding: 1px 1px 1px 1px;background: #000000;border: 1px solid #cccccc;}
.counter span a{font: bold arial,serif;color: #ffffff;}
</style>
<!-- CSS样式代码结束-->
<!-- 计数器主体代码开始 -->
<p class="counter">统计开始日期<a href="http://www.03700370.com" target="_blank">：</a><?php echo $yitongji_time; ?>
&nbsp;总IP数<a href="http://www.luoyangbbs.com" target="_blank">：</a><span><a href="http://www.03940394.com" title="周口论坛" target="_brank" id="totalIP">000000</a></span> 
页面被浏览次数<a href="http://www.sqxxg.com" target="_blank">：</a><span><a href="http://www.05320532.com/" title="青岛论坛" target="_brank" id="totalPV">000000</a></span>
当前在线人数<a href="http://www.xifangchan.com" target="_blank">：</a><span><a href="http://www.xingstar.com" title="星时达" target="_brank" id="nowOnline">000000</a></span>
</p>
<!-- 计数器主体代码结束 -->
<!-- 计数器函数代码开始 -->
<script language="Javascript" src="http://www.yitongji.com/jishuqi/ip.php?start=<?php echo $yitongji_start_ip; ?>&length=6"></script>
<script language="Javascript" src="http://www.yitongji.com/jishuqi/pv.php?start=<?php echo $yitongji_start_pv; ?>&length=6"></script>
<script language="Javascript" src="http://www.yitongji.com/jishuqi/online.php"></script>
<script>showIP();showPV();showOL();</script>
<!-- 计数器函数代码结束 -->
<div id="go-top"><a href="#top"></a></div>
<div class="foot"><span style="font-size:12px;" class="youqinglianjie"><font color="#FF0000">友情链接</font><a href="http://www.07570757.com" target="_blank">：</a><?php echo str_replace('{*}','"',$site_links); ?></span></div>
<div class="foot">Powered by <a href="http://www.xinminong.com" target="_blank">新米农</a> ! &copy; 2010-<?php echo date("Y",time());
?> <a href="http://www.xinminong.com" target="_blank">米表</a> <a href="http://www.xinminong.com" target="_blank">域名展示</a> <a href="http://www.xinminong.com" target="_blank">域名投资</a> <a href="http://www.xinminong.com" target="_blank">域名出售</a> <script language="javascript" type="text/javascript" src="http://js.users.51.la/14869624.js"></script>
<noscript><a href="http://www.51.la/?14869624" target="_blank"><img alt="&#x6211;&#x8981;&#x5566;&#x514D;&#x8D39;&#x7EDF;&#x8BA1;" src="http://img.users.51.la/14869624.asp" style="border:none" /></a></noscript></div>
</body>
<div align="center" style="display:none;"><?php echo str_replace("[*]","'",str_replace('{*}','"',$site_tongji)); ?></div>
</html>
<?php } ?>